
function get_icon_by_ext(ext) {
    ext = ext.toLowerCase();
    var result = "";
    switch (ext) {
        case "elfolder":
        case "":
            result = "文件夹"
            break;

        case ".jpg":
        case ".jpeg":
        case ".png":
        case ".gif":
        case ".bmp":
            result = "图片 文件"
            break;


        case ".doc":
        case ".docx":
            result = "Word 文件"
            break;

        case ".xls":
        case ".xlstx":
            result = "Excel 文件"
            break;

        case ".ppt":
        case ".pptx":
            result = "PowerPoint 文件"
            break;

        case ".pdf":
            result = " PDF 文件"
            break;

        case ".rar":
        case ".zip":
            result = " 压缩 文件"
            break;

        case ".htm":
        case ".html":
            result = "HTML 文件"
            break;

            result = ext.replace(".", "").toUpperCase + " 文件";
            break;


    }

    return result;

}
